#include "stdafx.h"

MyHttpServer myHttpServer;


void removeUrl()
{
	ULONG retCode;
	HANDLE	hReqQueue = NULL;

    HTTPAPI_VERSION HttpApiVersion = HTTPAPI_VERSION_1;

	retCode = HttpInitialize(HttpApiVersion, HTTP_INITIALIZE_SERVER, NULL);

 	retCode = HttpCreateHttpHandle(&hReqQueue, 0);

	retCode = HttpRemoveUrl(hReqQueue, L"http://nickhuang99.dynalias.com:1001/");
}

int __cdecl _tmain(int argc, TCHAR * argv[])
{  	
	srand(time(0));
    if (argc != 2)
    {
        _tprintf(_T("%s: <Url> \n"), argv[0]);
		removeUrl();
        return -1;
    } 
 	_tprintf(_T("listening for requests on the following url: %s\n"), argv[1]);
	while (true)
	{
		try
		{		
			if (myHttpServer.init(argv[1]))
			{
				myHttpServer.work();
			}
			else
			{
				myHttpServer.uninit();
			}
			
		} 	
		catch(...)
		{
			_tprintf(_T("exception has been handled...\n"));	
			myHttpServer.uninit();
			break;			
		}  	
	}
	
    return 0;
}